Bug 825163 - setsebool does not accept some arguments formats
setsebool does not accept some arguments formats
Product: Fedora
Classification: Fedora
Component: policycoreutils (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-05-25 05:31 EDT by Martin Kosek
Modified: 2012-06-17 18:24 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-06-17 18:24:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Martin Kosek 2012-05-25 05:31:04 EDT
Description of problem:
The way that setsebool accepts booleans looks broken:

[root@vm-143 ~]# setsebool -P httpd_manage_ipa off
[root@vm-143 ~]# setsebool httpd_manage_ipa off   <<<< should work

Usage:  setsebool [ -NP ] boolean value | bool1=val1 bool2=val2...

[root@vm-143 ~]# setsebool httpd_manage_ipa=off
[root@vm-143 ~]# setsebool -P httpd_manage_ipa=off  <<<< should work
setsebool: illegal value httpd_manage_ipa=off for boolean -P

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Run all 4 variations of booleans passed to setsebool
Actual results:
Some of them report error

Expected results:
All of them succeed
Comment 1 Daniel Walsh 2012-05-29 13:27:19 EDT
THey all seem to work for me

rpm -q policycoreutils

# setsebool -P httpd_manage_ipa off
# setsebool httpd_manage_ipa off
# setsebool httpd_manage_ipa=off
# setsebool -P httpd_manage_ipa=off
Comment 2 Fedora Update System 2012-05-29 13:43:44 EDT
policycoreutils-2.1.11-18.fc17 has been submitted as an update for Fedora 17.
Comment 3 Fedora Update System 2012-06-17 18:24:08 EDT
policycoreutils-2.1.11-18.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.